NL editie van Firefox 0.9.1 uit, problemen en ervaringen

Hier kun je je opmerkingen over de Nederlandse Firefox-vertaling kwijt.
Bart
    unknown unknown

NL editie van Firefox 0.9.1 uit, problemen en ervaringen

Bericht door Bart »

Hij staat nog niet op de frontpage dus voor de mensen die het nog niet weten. De NL editie van Mozilla 0.9.1 kan worden gedownload van Mozillanl.mozdev.org

Morgen komt 0.9.3 uit. Ik heb hem even geprobeerd en mijn ervaringen:

- Na de installatie was ik mijn profiel kwijt. Hij nam de instellingen uit mijn phoenix profiel niet over. Ik had wel de oude firefox map uit Program files verwijderd die overigens op D: staat. Ik moest dus alles opnieuw configureren. Op zich geen probleem maar toch even het vermelden waard.

- Ik heb in D:\Documents and Settings\bart\Application Data\ de mappen phoenix en Mozilla daarna verwijderd en en ben begonnen met een nieuw profiel.

Ook moest ik shockwave en flash opnieuw installeren. Waarschijnlijk omdat de directory onder program files eerst firefox hete en nu Mozilla Firefox. Er was verder ook een restart nodig voordat Java weer goed werkte.

De nieuwe Firefox NL beviel mij in het begin heel goed. Het popup unblock menu geeft nu ook geen fouten meer. Totdat ik er achter kwam dat bij mij ssl connecties niet goed meer werkten. Als ik bijvoorbeeld naar https://service.xs4all.nl ga dan werkt het gewoon prima omdat dit een vertrouwd verisign certificaat is. Ga ik naar mijn webmail dan gebeurt er niets. Dit is een self signed certificaat. De verbinding blijft dan gewoon hangen. Als ik naar verkeuren ga loopt hij vast bij de buttons die met certerficaten te maken hebben. Ik heb een test apache-ssl server op mijn Linux router geinstalleerd om hier ook even mee te testen en hetzelfde probleem.

Hebben andere mensen dit probleem ook?
Gebruikersavatar
FFuser
Berichten: 328
Lid geworden op: 11 augustus 2004, 19:25
Locatie: Antwerpen belgium
    unknown unknown

Bericht door FFuser »

De nieuwe Firefox NL beviel mij in het begin heel goed. Het popup unblock menu geeft nu ook geen fouten meer. Totdat ik er achter kwam dat bij mij ssl connecties niet goed meer werkten. Als ik bijvoorbeeld naar https://service.xs4all.nl ga dan werkt het gewoon prima omdat dit een vertrouwd verisign certificaat is. Ga ik naar mijn webmail dan gebeurt er niets. Dit is een...
Dit is waarschijnlijk een Firefox 0.9.1 probleem en geen vertaling probleem, gebruikte je hiervoor de 0.8 NL?
- Na de installatie was ik mijn profiel kwijt. Hij nam de instellingen uit mijn phoenix profiel niet over. Ik had wel de oude firefox map uit Program files verwijderd die overigens op D: staat. Ik moest dus alles opnieuw configureren. Op zich geen probleem maar toch even het vermelden waard.


- Ik heb in D:\Documents and Settings\bart\Application Data\ de mappen phoenix en Mozilla daarna verwijderd en en ben begonnen met een nieuw profiel.

Ook moest ik shockwave en flash opnieuw installeren. Waarschijnlijk omdat de directory onder program files eerst firefox hete en nu Mozilla Firefox. Er was verder ook een restart nodig voordat Java weer goed werkte.
Dit is waarschijnlijk gewoon een upgrade probleem van 0.8 naar de 0.9 series.
Mozilla/5.0 (X11; U; Linux i686; nl; rv:1.8) Gecko/20051111 Firefox/1.5
Gast
    unknown unknown

Bericht door Gast »

FFuser schreef:
Dit is waarschijnlijk een Firefox 0.9.1 probleem en geen vertaling probleem, gebruikte je hiervoor de 0.8 NL?
Ja ik heb nooit een Engelse gebruikt. Ik gebruikte 0.8 + shellblock extensie.
Gebruikersavatar
Gert-Paul
Berichten: 2358
Lid geworden op: 4 maart 2004, 17:48
    unknown unknown

Bericht door Gert-Paul »

Op gathering.tweakers.net is ook een Firefox topic en daar werd ook melding gemaakt van het probleem met SSL. Ik hoop dus dat Martijn Ras, de vertaler, hier nog eventjes naar kijkt voor hij 0.9.3 vrijgeeft.
Gebruikersavatar
Mad Maks
Berichten: 1300
Lid geworden op: 7 oktober 2003, 16:58
Locatie: Haarlem
    unknown unknown

Bericht door Mad Maks »

Gert-Paul schreef:Op gathering.tweakers.net is ook een Firefox topic en daar werd ook melding gemaakt van het probleem met SSL. Ik hoop dus dat Martijn Ras, de vertaler, hier nog eventjes naar kijkt voor hij 0.9.3 vrijgeeft.
ik kan me niet voorstellen dat de problemen veroorzaakt worden door de vertaling. Is het niet een bug in versie 0.9.3?

Groet

MM
Gebruikersavatar
ByteWarrior
Berichten: 3825
Lid geworden op: 15 oktober 2003, 14:56
Locatie: Tielt-Winge, België
    unknown unknown

Bericht door ByteWarrior »

Mad Maks schreef:
Gert-Paul schreef:Op gathering.tweakers.net is ook een Firefox topic en daar werd ook melding gemaakt van het probleem met SSL. Ik hoop dus dat Martijn Ras, de vertaler, hier nog eventjes naar kijkt voor hij 0.9.3 vrijgeeft.
ik kan me niet voorstellen dat de problemen veroorzaakt worden door de vertaling. Is het niet een bug in versie 0.9.3?
Dat zou ik ook raar vinden. Het enige dat normaalgezien aangepast wordt voor de vertaling, is de tekst. Aan de code zelf wordt niet geraakt. Het is natuurlijk altijd een mogelijkheid...

Naar ik meen wordt er sinds versie 0.9.1 wel aan certificates gewerkt. Je ziet het ook in de opties ("This section is PROVISIONAL..."). Het zou dus kunnen dat er daar een bugje ingeslopen is.

Het zou ook een veiligheidsoptie kunnen zijn. Self-signed certificates zijn niet echt veilig. Als dit een 'feature' zou zijn, zou je ze ook moeten kunnen uitschakelen...
Gebruikersavatar
Gert-Paul
Berichten: 2358
Lid geworden op: 4 maart 2004, 17:48
    unknown unknown

Bericht door Gert-Paul »

ByteWarrior schreef:
Mad Maks schreef:
Gert-Paul schreef:Op gathering.tweakers.net is ook een Firefox topic en daar werd ook melding gemaakt van het probleem met SSL. Ik hoop dus dat Martijn Ras, de vertaler, hier nog eventjes naar kijkt voor hij 0.9.3 vrijgeeft.
ik kan me niet voorstellen dat de problemen veroorzaakt worden door de vertaling. Is het niet een bug in versie 0.9.3?
Dat zou ik ook raar vinden. Het enige dat normaalgezien aangepast wordt voor de vertaling, is de tekst. Aan de code zelf wordt niet geraakt. Het is natuurlijk altijd een mogelijkheid...

Naar ik meen wordt er sinds versie 0.9.1 wel aan certificates gewerkt. Je ziet het ook in de opties ("This section is PROVISIONAL..."). Het zou dus kunnen dat er daar een bugje ingeslopen is.

Het zou ook een veiligheidsoptie kunnen zijn. Self-signed certificates zijn niet echt veilig. Als dit een 'feature' zou zijn, zou je ze ook moeten kunnen uitschakelen...
Ik heb net eventjes de NL 0.9.1 geïnstalleerd om te testen of ik ook problemen ervaarde. Ik kon op Gmail goed inloggen, alleen als ik certificaat ging bekijken liep Firefox vast. Ik verwacht dat hier iets niet helemaal goed met vertalen gegaan is.
Dat een SSL-verbinding het helemaal niet doet is imo idd niet aan de vertaling toe te schrijven.
Gebruikersavatar
ByteWarrior
Berichten: 3825
Lid geworden op: 15 oktober 2003, 14:56
Locatie: Tielt-Winge, België
    unknown unknown

Bericht door ByteWarrior »

Gert-Paul schreef:Ik heb net eventjes de NL 0.9.1 geïnstalleerd om te testen of ik ook problemen ervaarde. Ik kon op Gmail goed inloggen, alleen als ik certificaat ging bekijken liep Firefox vast. Ik verwacht dat hier iets niet helemaal goed met vertalen gegaan is.
Dat een SSL-verbinding het helemaal niet doet is imo idd niet aan de vertaling toe te schrijven.
De fout situeert zich dan waarschijnlijk in het bestand dat de SSL vertaling bevat. Toch wel raar hoor...
Bart
    unknown unknown

Bericht door Bart »

Het lijkt bij self signed Certificaten op een soort van looping probleem bij mij.

Hij moet het waarschuwinsscherm weergeven. Maar dat gebeurd niet.

Ik gebruik deze Certificaten omdat ik geen geld heb voor echte en het toch veel veiliger is als helemaal geen ssl.
Gebruikersavatar
nirwana
Beheerder
Berichten: 11423
Lid geworden op: 19 september 2003, 5:09
    unknown unknown

Re: NL editie van Firefox 0.9.1 uit, problemen en ervaringen

Bericht door nirwana »

Bart schreef:Morgen komt 0.9.3 uit.
Maar op MozillaNL is nu al een Firefox NL 0.9.3 te downloaden. Dan neem ik aan dat de vertaling van 0.9.3 sneller is verlopen dan verwacht en dat dat al de 0.9.3-versie is. Of oordeel ik dan te snel ?
Met vriendelijke groet,

Martijn
[ Mede-oprichter + webmaster MozBrowser | beheerder Startpagina's over freeware, GIMP, Mozilla en OpenOffice.org / LibreOffice, Ubuntu
Gebruikersavatar
Mad Maks
Berichten: 1300
Lid geworden op: 7 oktober 2003, 16:58
Locatie: Haarlem
    unknown unknown

Bericht door Mad Maks »

nee hoor, het vertalen van 0.9.3 hield niet zoveel in na de vertaling van 0.9.1. Volgens mij heeft martijn er alleen wat fouten uitgehaald.
Gast
    unknown unknown

Bericht door Gast »

Ik heb nu even 0.9.3 geprobeerd maar deze geeft dezelfde problemen. Ik draai nu dus de Engelse versie.
Bart
    unknown unknown

Bericht door Bart »

Ik heb nu nog eens uitgebreid getest tussen Mozilla Firefox 0.9.3 NL en Mozilla Firefox 0.9.3 ENG

In de NL versie heb ik de volgende problemen c.q. bugs gevonden:

- Het inmiddels bekende probleem met self signed certificaten en het hangen van Firefox

- Het vastlopen van de Mozilla na het aanklikken van de buttons onder Geavanceerd > Certificaten en geldigheid.

- Als Firefox met de devlopper tools is geinstalleerd krijg ik de eerste keer deze foutmelding: De toepassing of DLL-bestand C:\Program Files\Mozilla Firefox\components\libinspector.so is geen geldige Windows-kopie. Controleer dit op uw installatiediskette.

- Je kan niet meer op password protected sites. Ga bijvoorbeeld maar eens naar www.connectux.nl en klik op de link Resellersite. Er wordt geen pop venster getoond en om een gebruikersnaam en wachtwoord gevraagd. Er wordt gelijk aangegeven dat het wachtwoord niet goed is.

- De profiel manager crashed als je een profiel wil verwijderen. Dit zal je handmatig in C:\Documents and Settings moeten doen.

De Engelse versie heeft deze problemen niet. Ze zijn voor mij wel zo zwaar dat deze nieuwe versie voor mij niet bruikbaar is. Ik hoop dat hier nog wat aan gedaan kan worden.
Foutmelder
    unknown unknown

Bericht door Foutmelder »

Nog een paar foutmeldingen met de Linux gtk installer

1) Bij het installeren fout [-621] gdt.xpi mislukt
OK (eigenlijk is het niet OK maar iets anders kon ik niet) :wink:
2) Bij het installeren fout [-621] langnlnl.xpi mislukt
OK (eigenlijk is het niet OK maar iets anders kon ik niet) :wink:
3) Bij opstarten een foutmelding
<window id="main-window"
^
<menu position="6"
_^

_^ <menuitem id="context-bookmarkTabGroup"

Met andere worden --> totaal mislukt
huub
Berichten: 2
Lid geworden op: 31 juli 2004, 12:11
    unknown unknown

Bericht door huub »

Inderdaad een heel groot probleem die certificaten, aangezien mijn universiteit er vol mee zit blijf ik noodgedwongen bij de Engelstalige (hoewel de Nederlandstalige nou ook niet mijn favoriete taalgebruik bevat, maar dat terzijde, ik ben al blij dat het vertalen gebeurd).